# Drupal\helper\EntityBrowserFormTrait  

Provides helpers for adding an entity browser element to a form.





## Methods

| Name | Description |
|------|-------------|
|[getEntityBrowserForm](#entitybrowserformtraitgetentitybrowserform)|Adds the Entity Browser element to a form.|
|[getEntityBrowserValue](#entitybrowserformtraitgetentitybrowservalue)|Gets the entity browser form value.|
|[loadEntityBrowserEntitiesByIds](#entitybrowserformtraitloadentitybrowserentitiesbyids)|Loads entities based on an ID in the format entity_type:entity_id.|
|[loadEntityBrowserEntity](#entitybrowserformtraitloadentitybrowserentity)|Loads entity based on an ID in the format entity_type:entity_id.|
|[processEntityBrowser](#entitybrowserformtraitprocessentitybrowser)|Render API callback: Processes the entity browser element.|
|[processEntityBrowserSelected](#entitybrowserformtraitprocessentitybrowserselected)|Render API callback: Processes the table element.|
|[updateEntityBrowserSelected](#entitybrowserformtraitupdateentitybrowserselected)|AJAX callback: Re-renders the Entity Browser button/table.|




### EntityBrowserFormTrait::getEntityBrowserForm  

**Description**

```php
public static getEntityBrowserForm (string $entity_browser_id, string $default_value, int $cardinality, string $view_mode, string|bool $form_mode)
```

Adds the Entity Browser element to a form. 

 

**Parameters**

* `(string) $entity_browser_id`
* `(string) $default_value`
* `(int) $cardinality`
* `(string) $view_mode`
* `(string|bool) $form_mode`

**Return Values**

`array`




<hr />


### EntityBrowserFormTrait::getEntityBrowserValue  

**Description**

```php
public static getEntityBrowserValue (\Drupal\Core\Form\FormStateInterface $form_state, array|string $parents)
```

Gets the entity browser form value. 

 

**Parameters**

* `(\Drupal\Core\Form\FormStateInterface) $form_state`
* `(array|string) $parents`

**Return Values**

`array`




<hr />


### EntityBrowserFormTrait::loadEntityBrowserEntitiesByIds  

**Description**

```php
public static loadEntityBrowserEntitiesByIds (array|string $ids)
```

Loads entities based on an ID in the format entity_type:entity_id. 

 

**Parameters**

* `(array|string) $ids`

**Return Values**

`\Drupal\Core\Entity\EntityInterface[]`




<hr />


### EntityBrowserFormTrait::loadEntityBrowserEntity  

**Description**

```php
public static loadEntityBrowserEntity (string $id)
```

Loads entity based on an ID in the format entity_type:entity_id. 

 

**Parameters**

* `(string) $id`

**Return Values**

`\Drupal\Core\Entity\EntityInterface`




<hr />


### EntityBrowserFormTrait::processEntityBrowser  

**Description**

```php
public static processEntityBrowser (void)
```

Render API callback: Processes the entity browser element. 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EntityBrowserFormTrait::processEntityBrowserSelected  

**Description**

```php
public static processEntityBrowserSelected (void)
```

Render API callback: Processes the table element. 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EntityBrowserFormTrait::updateEntityBrowserSelected  

**Description**

```php
public static updateEntityBrowserSelected (void)
```

AJAX callback: Re-renders the Entity Browser button/table. 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />

