# Drupal\helper\File  

Provides helpers for working with files.





## Methods

| Name | Description |
|------|-------------|
|[__construct](#file__construct)|File constructor.|
|[createOrReuseFromUri](#filecreateorreusefromuri)|Creates or reuses a file object based on a URI.|
|[filterValidFiles](#filefiltervalidfiles)|Filter callback; Permanent files or temporary files owned by current user.|
|[getDataUri](#filegetdatauri)|Converts a file URL into a data URI.|




### File::__construct  

**Description**

```php
public __construct (\Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager, \Symfony\Component\Mime\MimeTypeGuesserInterface $mime_type_guesser)
```

File constructor. 

 

**Parameters**

* `(\Drupal\Core\Entity\EntityTypeManagerInterface) $entity_type_manager`
* `(\Symfony\Component\Mime\MimeTypeGuesserInterface) $mime_type_guesser`

**Return Values**

`void`


<hr />


### File::createOrReuseFromUri  

**Description**

```php
public createOrReuseFromUri (string $uri, bool $reuse_existing)
```

Creates or reuses a file object based on a URI. 

 

**Parameters**

* `(string) $uri`
* `(bool) $reuse_existing`

**Return Values**

`\Drupal\file\FileInterface`




<hr />


### File::filterValidFiles  

**Description**

```php
public static filterValidFiles (\Drupal\file\FileInterface $file)
```

Filter callback; Permanent files or temporary files owned by current user. 

 

**Parameters**

* `(\Drupal\file\FileInterface) $file`

**Return Values**

`bool`




<hr />


### File::getDataUri  

**Description**

```php
public getDataUri (string $uri, bool $base_64_encode, string|null $mimetype)
```

Converts a file URL into a data URI. 

 

**Parameters**

* `(string) $uri`
* `(bool) $base_64_encode`
* `(string|null) $mimetype`

**Return Values**

`string`




**Throws Exceptions**


`\Symfony\Component\HttpFoundation\File\Exception\AccessDeniedException`
> If the file cannot be read.

<hr />

