# Drupal\helper\LayoutBuilder  

Provides helpers for working with Layout Builder.





## Methods

| Name | Description |
|------|-------------|
|[__construct](#layoutbuilder__construct)|LayoutBuilder constructor.|
|[extractSectionListPlugins](#layoutbuilderextractsectionlistplugins)|Extract plugins from a section list.|
|[isEntityLayoutEnabled](#layoutbuilderisentitylayoutenabled)|Checks if an entity is using layout builder or not.|
|[isEntityLayoutOverridden](#layoutbuilderisentitylayoutoverridden)|Checks if an entity is using an overridden layout builder or not.|
|[sectionListGetComponentsByPluginId](#layoutbuildersectionlistgetcomponentsbypluginid)|Checks if a layout builder section list has a plugin.|
|[setEntityLayout](#layoutbuildersetentitylayout)|Updates the overriden layout for an entity.|




### LayoutBuilder::__construct  

**Description**

```php
public __construct (\Drupal\Core\Entity\EntityDisplayRepositoryInterface $entityDisplayRepository, \Drupal\Component\Uuid\UuidInterface $uuid)
```

LayoutBuilder constructor. 

 

**Parameters**

* `(\Drupal\Core\Entity\EntityDisplayRepositoryInterface) $entityDisplayRepository`
* `(\Drupal\Component\Uuid\UuidInterface) $uuid`

**Return Values**

`void`


<hr />


### LayoutBuilder::extractSectionListPlugins  

**Description**

```php
public static extractSectionListPlugins (\Drupal\layout_builder\SectionListInterface $sectionList)
```

Extract plugins from a section list. 

 

**Parameters**

* `(\Drupal\layout_builder\SectionListInterface) $sectionList`

**Return Values**

`array`




<hr />


### LayoutBuilder::isEntityLayoutEnabled  

**Description**

```php
public isEntityLayoutEnabled (\Drupal\Core\Entity\FieldableEntityInterface $entity, bool $check_if_can_override)
```

Checks if an entity is using layout builder or not. 

 

**Parameters**

* `(\Drupal\Core\Entity\FieldableEntityInterface) $entity`
* `(bool) $check_if_can_override`

**Return Values**

`bool`




<hr />


### LayoutBuilder::isEntityLayoutOverridden  

**Description**

```php
public isEntityLayoutOverridden (\Drupal\Core\Entity\FieldableEntityInterface $entity)
```

Checks if an entity is using an overridden layout builder or not. 

 

**Parameters**

* `(\Drupal\Core\Entity\FieldableEntityInterface) $entity`

**Return Values**

`bool`




<hr />


### LayoutBuilder::sectionListGetComponentsByPluginId  

**Description**

```php
public static sectionListGetComponentsByPluginId (\Drupal\layout_builder\SectionListInterface $sectionList, string $plugin_id)
```

Checks if a layout builder section list has a plugin. 

 

**Parameters**

* `(\Drupal\layout_builder\SectionListInterface) $sectionList`
* `(string) $plugin_id`

**Return Values**

`\Drupal\layout_builder\SectionComponent[]`




<hr />


### LayoutBuilder::setEntityLayout  

**Description**

```php
public setEntityLayout (\Drupal\Core\Entity\FieldableEntityInterface $entity, array $data)
```

Updates the overriden layout for an entity. 

 

**Parameters**

* `(\Drupal\Core\Entity\FieldableEntityInterface) $entity`
* `(array) $data`

**Return Values**

`void`


<hr />

