# Drupal\helper\Menu  

Provides helpers working with menus and menu links.





## Methods

| Name | Description |
|------|-------------|
|[__construct](#menu__construct)|File constructor.|
|[addItemAttributes](#menuadditemattributes)|Adds options/attributes to all menu items (the <li> tags).|
|[addLinkOptions](#menuaddlinkoptions)|Adds options/attributes to all menu links (the <a> tags).|
|[buildLinkFieldAsMenu](#menubuildlinkfieldasmenu)|Builds a render array of a set of links like a menu.|
|[buildLinksAsMenu](#menubuildlinksasmenu)|Builds a render array of a set of links like a menu.|
|[buildMenu](#menubuildmenu)|Builds a render array of a menu and its links.|
|[convertLinkItemToLink](#menuconvertlinkitemtolink)|Convert a link field item into a link.|
|[convertLinkItemsToMenuLinks](#menuconvertlinkitemstomenulinks)|Convert a link field to an array of menu links.|
|[convertLinkToMenuLink](#menuconvertlinktomenulink)|Convert a link into a menu link.|
|[convertLinksToMenuLinks](#menuconvertlinkstomenulinks)|Convert a link field to an array of menu links.|




### Menu::__construct  

**Description**

```php
public __construct (\Drupal\Core\Menu\MenuLinkTreeInterface $menu_tree, \Drupal\Core\Menu\MenuActiveTrailInterface $menu_active_trail)
```

File constructor. 

 

**Parameters**

* `(\Drupal\Core\Menu\MenuLinkTreeInterface) $menu_tree`
* `(\Drupal\Core\Menu\MenuActiveTrailInterface) $menu_active_trail`

**Return Values**

`void`


<hr />


### Menu::addItemAttributes  

**Description**

```php
public addItemAttributes (array $links, array|\Drupal\Core\Template\Attribute $attributes, int $depth)
```

Adds options/attributes to all menu items (the <li> tags). 

 

**Parameters**

* `(array) $links`
* `(array|\Drupal\Core\Template\Attribute) $attributes`
* `(int) $depth`

**Return Values**

`void`


<hr />


### Menu::addLinkOptions  

**Description**

```php
public addLinkOptions (array $links, array $options, int $depth)
```

Adds options/attributes to all menu links (the <a> tags). 

 

**Parameters**

* `(array) $links`
* `(array) $options`
* `(int) $depth`

**Return Values**

`void`


<hr />


### Menu::buildLinkFieldAsMenu  

**Description**

```php
public buildLinkFieldAsMenu (string $menu_name, \Drupal\Core\Field\FieldItemListInterface $items)
```

Builds a render array of a set of links like a menu. 

 

**Parameters**

* `(string) $menu_name`
* `(\Drupal\Core\Field\FieldItemListInterface) $items`

**Return Values**

`array`




<hr />


### Menu::buildLinksAsMenu  

**Description**

```php
public buildLinksAsMenu (string $menu_name, \Drupal\Core\Link[] $links)
```

Builds a render array of a set of links like a menu. 

 

**Parameters**

* `(string) $menu_name`
* `(\Drupal\Core\Link[]) $links`

**Return Values**

`array`




<hr />


### Menu::buildMenu  

**Description**

```php
public buildMenu (string $menu_name, int $level, int $depth, bool $expand_all_items)
```

Builds a render array of a menu and its links. 

 

**Parameters**

* `(string) $menu_name`
* `(int) $level`
* `(int) $depth`
* `(bool) $expand_all_items`

**Return Values**

`array`




<hr />


### Menu::convertLinkItemToLink  

**Description**

```php
public convertLinkItemToLink (\Drupal\link\Plugin\Field\FieldType\LinkItem $item)
```

Convert a link field item into a link. 

 

**Parameters**

* `(\Drupal\link\Plugin\Field\FieldType\LinkItem) $item`

**Return Values**

`\Drupal\Core\Link`




<hr />


### Menu::convertLinkItemsToMenuLinks  

**Description**

```php
public convertLinkItemsToMenuLinks (\Drupal\Core\Field\FieldItemListInterface $items)
```

Convert a link field to an array of menu links. 

 

**Parameters**

* `(\Drupal\Core\Field\FieldItemListInterface) $items`

**Return Values**

`array`




<hr />


### Menu::convertLinkToMenuLink  

**Description**

```php
public convertLinkToMenuLink (\Drupal\Core\Link $link)
```

Convert a link into a menu link. 

 

**Parameters**

* `(\Drupal\Core\Link) $link`

**Return Values**

`array`




<hr />


### Menu::convertLinksToMenuLinks  

**Description**

```php
public convertLinksToMenuLinks (\Drupal\Core\Link[] $links)
```

Convert a link field to an array of menu links. 

 

**Parameters**

* `(\Drupal\Core\Link[]) $links`

**Return Values**

`array`




<hr />

