# Drupal\helper\TextFormat  

Helper service for modifying text formats.





## Methods

| Name | Description |
|------|-------------|
|[addTag](#textformataddtag)|Add a tag to the HTML restrictions for specific formats, or all.|
|[isAttributeAllowed](#textformatisattributeallowed)|Checks if a tag attribute is allowed.|
|[isTagAllowed](#textformatistagallowed)|Checks if a tag is allowed.|
|[removeTag](#textformatremovetag)|Remove a tag and all its attributes from the HTML restrictions.|
|[removeTagAttributes](#textformatremovetagattributes)|Remove a tag's attributes from the HTML restrictions for formats.|




### TextFormat::addTag  

**Description**

```php
public addTag (\Drupal\filter\FilterFormatInterface $format, string $tag, array $attributes)
```

Add a tag to the HTML restrictions for specific formats, or all. 

 

**Parameters**

* `(\Drupal\filter\FilterFormatInterface) $format`
* `(string) $tag`
* `(array) $attributes`

**Return Values**

`void`


<hr />


### TextFormat::isAttributeAllowed  

**Description**

```php
public isAttributeAllowed (\Drupal\filter\FilterFormatInterface $format, string $tag, string $attribute)
```

Checks if a tag attribute is allowed. 

 

**Parameters**

* `(\Drupal\filter\FilterFormatInterface) $format`
* `(string) $tag`
* `(string) $attribute`

**Return Values**

`bool|null`




<hr />


### TextFormat::isTagAllowed  

**Description**

```php
public isTagAllowed (\Drupal\filter\FilterFormatInterface $format, string $tag)
```

Checks if a tag is allowed. 

 

**Parameters**

* `(\Drupal\filter\FilterFormatInterface) $format`
* `(string) $tag`

**Return Values**

`bool`




<hr />


### TextFormat::removeTag  

**Description**

```php
public removeTag (\Drupal\filter\FilterFormatInterface $format, string $tag)
```

Remove a tag and all its attributes from the HTML restrictions. 

 

**Parameters**

* `(\Drupal\filter\FilterFormatInterface) $format`
* `(string) $tag`

**Return Values**

`void`


<hr />


### TextFormat::removeTagAttributes  

**Description**

```php
public removeTagAttributes (\Drupal\filter\FilterFormatInterface $format, string $tag, array $attributes)
```

Remove a tag's attributes from the HTML restrictions for formats. 

 

**Parameters**

* `(\Drupal\filter\FilterFormatInterface) $format`
* `(string) $tag`
* `(array) $attributes`

**Return Values**

`void`


<hr />

