# Drupal\helper\Theme  

Helper service for working with themes.





## Methods

| Name | Description |
|------|-------------|
|[__construct](#theme__construct)|Constructs a Theme helper.|
|[isActive](#themeisactive)|Checks if a theme is the active theme or one of the active base themes.|
|[isBaseTheme](#themeisbasetheme)|Checks if a theme is a base theme of a sub-theme.|
|[isDefault](#themeisdefault)|Checks if a theme is the default theme or one of the default base themes.|
|[setDefault](#themesetdefault)|Sets the default theme.|




### Theme::__construct  

**Description**

```php
public __construct (\Drupal\Core\Extension\ThemeHandlerInterface $theme_handler, \Drupal\Core\Theme\ThemeManagerInterface $theme_manager, \Drupal\Core\Extension\ThemeInstallerInterface $theme_installer, \Drupal\Core\Config\ConfigFactoryInterface $config_factory)
```

Constructs a Theme helper. 

 

**Parameters**

* `(\Drupal\Core\Extension\ThemeHandlerInterface) $theme_handler`
* `(\Drupal\Core\Theme\ThemeManagerInterface) $theme_manager`
* `(\Drupal\Core\Extension\ThemeInstallerInterface) $theme_installer`
* `(\Drupal\Core\Config\ConfigFactoryInterface) $config_factory`

**Return Values**

`void`


<hr />


### Theme::isActive  

**Description**

```php
public isActive (string $theme_name, bool $check_base_themes)
```

Checks if a theme is the active theme or one of the active base themes. 

 

**Parameters**

* `(string) $theme_name`
* `(bool) $check_base_themes`

**Return Values**

`bool`




<hr />


### Theme::isBaseTheme  

**Description**

```php
public isBaseTheme (string $base_theme, string $theme_name)
```

Checks if a theme is a base theme of a sub-theme. 

 

**Parameters**

* `(string) $base_theme`
* `(string) $theme_name`

**Return Values**

`bool`




<hr />


### Theme::isDefault  

**Description**

```php
public isDefault (string $theme_name, bool $check_base_themes)
```

Checks if a theme is the default theme or one of the default base themes. 

 

**Parameters**

* `(string) $theme_name`
* `(bool) $check_base_themes`

**Return Values**

`bool`




<hr />


### Theme::setDefault  

**Description**

```php
public setDefault (string $theme_name)
```

Sets the default theme. 

 

**Parameters**

* `(string) $theme_name`

**Return Values**

`bool`




<hr />

