# Drupal\helper\Utility  

Provides various utility helpers.





## Methods

| Name | Description |
|------|-------------|
|[callPlugin](#utilitycallplugin)|Call a plugin callback and return its result.|
|[execCommand](#utilityexeccommand)|Runs a composer command.|
|[registerUniqueShutdownFunction](#utilityregisteruniqueshutdownfunction)|Registers a unique function call for execution on shutdown.|
|[runBatch](#utilityrunbatch)|Runs a batch even if another batch is currently running.|




### Utility::callPlugin  

**Description**

```php
public static callPlugin (string $plugin_type, string $plugin_id, array $configuration, string $callback, mixed $args)
```

Call a plugin callback and return its result. 

 

**Parameters**

* `(string) $plugin_type`
* `(string) $plugin_id`
* `(array) $configuration`
* `(string) $callback`
* `(mixed) $args`

**Return Values**

`mixed`




<hr />


### Utility::execCommand  

**Description**

```php
public static execCommand (string $command, string $additional, mixed $result_code)
```

Runs a composer command. 

Note: USE THIS AT YOUR OWN RISK. YOU ARE RESPONSIBLE FOR ESCAPING THE  
INPUT TO THE $command PARAMETER. 

**Parameters**

* `(string) $command`
* `(string) $additional`
* `(mixed) $result_code`

**Return Values**

`void`


**Throws Exceptions**


`\RuntimeException`


<hr />


### Utility::registerUniqueShutdownFunction  

**Description**

```php
public static registerUniqueShutdownFunction (callable $callback, mixed $args)
```

Registers a unique function call for execution on shutdown. 

Wrapper for drupal_register_shutdown_function() that does not add the  
function call if it already exists in the shutdown function stack. 

**Parameters**

* `(callable) $callback`
* `(mixed) $args`

**Return Values**

`bool`




<hr />


### Utility::runBatch  

**Description**

```php
public static runBatch (array $batch)
```

Runs a batch even if another batch is currently running. 

This is useful for running a batch inside another batch process. 

**Parameters**

* `(array) $batch`

**Return Values**

`void`


<hr />

